Bug 9831 - Wrong and missing values in installer for French UNIMARC
Summary: Wrong and missing values in installer for French UNIMARC
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Installation and upgrade (web-based installer) (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: mathieu saby
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-03-17 18:21 UTC by mathieu saby
Modified: 2014-05-26 21:04 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:


Attachments
[PATCH] Bug 9831: Correct and add authorised values un French UNIMARC installer (88.28 KB, patch)
2013-03-17 18:24 UTC, mathieu saby
Details | Diff | Splinter Review
[PATCH] [Revised] Bug 9831: Correct and add authorised values un French UNIMARC installer (88.19 KB, patch)
2013-03-17 18:32 UTC, mathieu saby
Details | Diff | Splinter Review
Bug 9831: Correct and add authorised values un French UNIMARC installer (88.23 KB, patch)
2013-04-19 23:07 UTC, Chris Cormack
Details | Diff | Splinter Review
[PASSED QA] Bug 9831: Correct and add authorised values un French UNIMARC installer (88.54 KB, patch)
2013-04-22 06:37 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description mathieu saby 2013-03-17 18:21:05 UTC
In French UNIMARC mandatory installer, some authorised values for languages, countries and unimarc function codes are wrong.
A lot of unimarc function codes and language codes are missing.
References for country codes are ISO 3166-1 standard
References for language codes are ISO 632-2 standard

M. Saby
Comment 1 mathieu saby 2013-03-17 18:24:31 UTC Comment hidden (obsolete)
Comment 2 mathieu saby 2013-03-17 18:32:16 UTC Comment hidden (obsolete)
Comment 3 Chris Cormack 2013-04-19 23:07:31 UTC Comment hidden (obsolete)
Comment 4 Katrin Fischer 2013-04-22 06:37:35 UTC
Created attachment 17573 [details] [review]
[PASSED QA] Bug 9831: Correct and add authorised values un French UNIMARC installer

2d version, Correcting a typo

In French UNIMARC mandatory installer, some authorised values for languages, countries and unimarc function codes are wrong.
A lot of unimarc function codes and language codes are missing.
Reference for country codes is ISO 3166-1 standard
Reference for language codes is ISO 632-2 standard
Reference for Unimarc function codes are Unimarc Manual (french version online in BNF website and ABES website)

This patch correct wrong values and add new ones.
For the moment I keep some wrong codes, because they may be used by some librairies :
- language codes deu, lan, mla, sam
- function codes 571, 573, 574, 575

To test :
1) take a fresh new koha
2) apply patch
3) install Koha, choosing French UNIMARC settings
4) look if values are OK in authorised values and if you can use them in cataloguing module

Signed-off-by: Chris Cormack <chris@bigballofwax.co.nz>
Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
SQL change only, French installer installs authorised values
without problems.

Note: There is a problem loading sample labels unrelated to this
patch:

sample_labels.sql
ERROR 1146 (42S02) at line 3: Table 'koha.labels_templates' doesn't exist
Comment 5 Jared Camins-Esakov 2013-04-26 02:14:14 UTC
This patch has been pushed to master and 3.12.x.
Comment 6 Chris Cormack 2013-04-27 21:36:12 UTC
Pushed to 3.10.x will be in 3.10.6